maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Public Attributes | List of all members
us_socket_context_t Struct Reference

`#include <internal.h>`

Collaboration diagram for us_socket_context_t:

## Public Attributes
struct us_loop_t * | loop
uint32_t | global_tick
unsigned char | timestamp
unsigned char | long_timestamp
struct us_socket_t * | head_sockets
struct us_listen_socket_t * | head_listen_sockets
struct us_socket_t * | iterator
struct us_socket_context_t * | prev
struct us_socket_context_t * | next
struct us_socket_t *(* | on_open )(struct us_socket_t *, int is_client, char *ip, int ip_length)
struct us_socket_t *(* | on_data )(struct us_socket_t *, char *data, int length)
struct us_socket_t *(* | on_writable )(struct us_socket_t *)
struct us_socket_t *(* | on_close )(struct us_socket_t *, int code, void *reason)
struct us_socket_t *(* | on_socket_timeout )(struct us_socket_t *)
struct us_socket_t *(* | on_socket_long_timeout )(struct us_socket_t *)
struct us_socket_t *(* | on_end )(struct us_socket_t *)
struct us_socket_t *(* | on_connect_error )(struct us_socket_t *, int code)
int(* | is_low_prio )(struct us_socket_t *)

## Detailed Description

Definition at line 117 of file internal.h.

## Member Data Documentation

## ◆ global_tick

uint32_t us_socket_context_t::global_tick

Definition at line 119 of file internal.h.

Referenced by us_create_socket_context(), and us_internal_timer_sweep().

## ◆ head_listen_sockets

struct us_listen_socket_t* us_socket_context_t::head_listen_sockets

Definition at line 123 of file internal.h.

Referenced by us_create_socket_context(), us_internal_socket_context_link_listen_socket(), us_internal_socket_context_unlink_listen_socket(), and us_socket_context_close().

## ◆ head_sockets

struct us_socket_t* us_socket_context_t::head_sockets

Definition at line 122 of file internal.h.

Referenced by us_create_socket_context(), us_internal_socket_context_link_socket(), us_internal_socket_context_unlink_socket(), us_internal_timer_sweep(), and us_socket_context_close().

## ◆ is_low_prio

int(* us_socket_context_t::is_low_prio) (struct us_socket_t *)

Definition at line 136 of file internal.h.

Referenced by us_create_socket_context(), and us_internal_dispatch_ready_poll().

## ◆ iterator

struct us_socket_t* us_socket_context_t::iterator

Definition at line 124 of file internal.h.

Referenced by us_create_socket_context(), us_internal_socket_context_unlink_listen_socket(), us_internal_socket_context_unlink_socket(), and us_internal_timer_sweep().

## ◆ long_timestamp

unsigned char us_socket_context_t::long_timestamp

Definition at line 121 of file internal.h.

Referenced by us_create_socket_context(), us_internal_timer_sweep(), and us_socket_long_timeout().

## ◆ loop

struct us_loop_t* us_socket_context_t::loop

Definition at line 118 of file internal.h.

Referenced by main(), us_create_child_socket_context(), us_create_socket_context(), us_internal_dispatch_ready_poll(), us_listen_socket_close(), us_socket_close(), us_socket_context_adopt_socket(), us_socket_context_connect(), us_socket_context_connect_unix(), us_socket_context_free(), us_socket_context_listen(), us_socket_context_listen_unix(), us_socket_context_loop(), us_socket_shutdown(), and us_socket_write().

## ◆ next

struct us_socket_context_t * us_socket_context_t::next

Definition at line 125 of file internal.h.

Referenced by us_create_socket_context(), us_internal_loop_link(), us_internal_loop_unlink(), and us_internal_timer_sweep().

## ◆ on_close

struct us_socket_t *(* us_socket_context_t::on_close) (struct us_socket_t *, int code, void *reason)

Definition at line 125 of file internal.h.

Referenced by us_socket_context_on_close().

## ◆ on_connect_error

struct us_socket_t *(* us_socket_context_t::on_connect_error) (struct us_socket_t *, int code)

Definition at line 125 of file internal.h.

Referenced by us_internal_dispatch_ready_poll(), and us_socket_context_on_connect_error().

## ◆ on_data

struct us_socket_t *(* us_socket_context_t::on_data) (struct us_socket_t *, char *data, int length)

Definition at line 125 of file internal.h.

Referenced by us_internal_dispatch_ready_poll(), and us_socket_context_on_data().

## ◆ on_end

struct us_socket_t *(* us_socket_context_t::on_end) (struct us_socket_t *)

Definition at line 125 of file internal.h.

Referenced by us_internal_dispatch_ready_poll(), and us_socket_context_on_end().

## ◆ on_open

struct us_socket_t *(* us_socket_context_t::on_open) (struct us_socket_t *, int is_client, char *ip, int ip_length)

Definition at line 125 of file internal.h.

Referenced by us_internal_dispatch_ready_poll(), and us_socket_context_on_open().

## ◆ on_socket_long_timeout

struct us_socket_t *(* us_socket_context_t::on_socket_long_timeout) (struct us_socket_t *)

Definition at line 125 of file internal.h.

Referenced by us_internal_timer_sweep(), and us_socket_context_on_long_timeout().

## ◆ on_socket_timeout

struct us_socket_t *(* us_socket_context_t::on_socket_timeout) (struct us_socket_t *)

Definition at line 125 of file internal.h.

Referenced by us_internal_timer_sweep(), and us_socket_context_on_timeout().

## ◆ on_writable

struct us_socket_t *(* us_socket_context_t::on_writable) (struct us_socket_t *)

Definition at line 125 of file internal.h.

Referenced by us_internal_dispatch_ready_poll(), and us_socket_context_on_writable().

## ◆ prev

struct us_socket_context_t* us_socket_context_t::prev

Definition at line 125 of file internal.h.

Referenced by us_internal_loop_link(), and us_internal_loop_unlink().

## ◆ timestamp

unsigned char us_socket_context_t::timestamp

Definition at line 120 of file internal.h.

Referenced by us_create_socket_context(), us_internal_timer_sweep(), us_socket_context_timestamp(), and us_socket_timeout().

The documentation for this struct was generated from the following file:

- integrations/rest_api/_deps/usockets-src/src/internal/internal.h